Subject: RE: terminology suggestion

From: LOVRIC Ivan CNET/DSE/CAE <[email-masked]>
Date: Mon, 23 Aug 1999 10:01:19 +0200

In the draft "Cache prefilling - A satellite overview", two different
solutions using push-caching or replication are detailed which result in the
same service for the end-user : Improving the QoS from the user point of
view.

1. The first solution uses a push-caching algorithm to prefill a Squid Cache
which acts as an ICP sibling of the Netscape main proxy.

2. The second solution uses an Apache Server and a Netscape proxy
redirection file which redirects some requests to the HTTP server.

Intuitively, we see that solution 1 is caching and solution 2 is
replication, though they offer the same service.
However, there is a big difference between these 2 approaches :
The first one is really secure, meaning that the user requests goes either
to Netscape, or to Squid, or to the final HTTP server.
The second is unsecure if the Apache mirror is down, the redirect request is
lost.

IMO, the main difference between caching and replication is more technical
than conceptual :
Caching uses intermediate equipments between a user and the HTTP server.
Replication uses final equipments, requests can't go furthermore.

(see "draft-lovric-francetelecom-satellites-00.txt" for more details)

IL

-----Message d'origine-----
De: Wojtek Sylwestrzak [mailto:[email-masked]]
Date: lundi 23 aoűt 1999 08:35
Ŕ: Henrik Nordstrom
Cc: [email-masked]
Objet: Re: terminology suggestion

Henrik Nordstrom wrote:
> 
> Wojtek Sylwestrzak wrote:
> 
> > this is a little controversial when the protocol used to provide
> > the service on a replica is the same as the one used to perform
> > the actual copying.
> 
> Not really.
> 
> The difference then is what you copy, and how.
> 
> Mirroring: Sheduled copy of the data output.
> 
> Caching: On-demand copying of the protocol output.
> 
> In HTTP this translates to that a mirror only copies the data content,
> while a cache also mirrors part or all of the protocol headers
> (content-type,...) on a per object basis.
> 

Indeed - this makes the difference.
The 'protocol output' appeals to me more than 'server output'.

--w